import { world, system, EntityEquippableComponent, EquipmentSlot, ItemStack } from "@minecraft/server";
import { ActionFormData } from '@minecraft/server-ui'

let pickaxe;
let axe;

world.afterEvents.itemUseOn.subscribe( on =>{
	try{
		let p = on.source;
		let item = on.itemStack;
		let lore = item.getLore()[0];
		let block = on.block

		if(lore.includes("Furrowing I")){
			p.runCommandAsync(`fill ${block.x-1} ${block.y} ${block.z-1} ~1~~1 farmland [] replace grass`)
			p.runCommandAsync(`fill ${block.x-1} ${block.y} ${block.z-1} ~1~~1 farmland [] replace grass`)
		}
		if(lore.includes("Furrowing II")){
			p.runCommandAsync(`fill ${block.x-2} ${block.y} ${block.z-2} ~2~~2 farmland [] replace grass`)
			p.runCommandAsync(`fill ${block.x-2} ${block.y} ${block.z-2} ~2~~2 farmland [] replace dirt`)
		}
		if(lore.includes("Furrowing III")){
			p.runCommandAsync(`fill ${block.x-3} ${block.y} ${block.z-3} ~3~~3 farmland [] replace grass`)
			p.runCommandAsync(`fill ${block.x-3} ${block.y} ${block.z-3} ~3~~3 farmland [] replace dirt`)
		}
	}catch(e){
		
	}
})
let time = 0;


system.runInterval(() =>{
	try{
		let w = world.getDimension("overworld"); 

		for (let p of world.getPlayers()) {

			if (p.hasTag("interact")){
				SelectTools(p);
				p.removeTag("interact")
			}

			let playerEquipment = p.getComponent(EntityEquippableComponent.componentId);
			let head = playerEquipment.getEquipment(EquipmentSlot.Head);
			let chest = playerEquipment.getEquipment(EquipmentSlot.Chest);
			let legs = playerEquipment.getEquipment(EquipmentSlot.Legs);
			let feet = playerEquipment.getEquipment(EquipmentSlot.Feet);
			
			w.runCommandAsync(`gamerule showtags false`);
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot);
			if(item){
				let lore = item.getLore()
				if (lore[0].includes("Haste I ")){
					p.runCommandAsync(`effect @s haste 1 0 true`)
				}
				if (lore[0].includes("Haste II ")){
					p.runCommandAsync(`effect @s haste 1 1 true`)
				}
				if (lore[0].includes("Haste III")){
					p.runCommandAsync(`effect @s haste 1 2 true`)
				}
				if(lore[0].includes("Knockback") && p.isSneaking){
					if(!p.hasTag("shield") && lore[0].includes("Knockback I ")){
						p.runCommandAsync(`summon new:shield ^^^0.025`)
						p.addTag("shield")
					}
					if(!p.hasTag("shield") && lore[0].includes("Knockback II ")){
						p.runCommandAsync(`summon new:shield2 ^^^0.025`)
						p.addTag("shield")
					}
					if(!p.hasTag("shield") && lore[0].includes("Knockback III")){
						p.runCommandAsync(`summon new:shield3 ^^^0.025`)
						p.addTag("shield")
					}
					if(p.hasTag("shield") && lore[0].includes("Knockback")){
						p.runCommandAsync(`tp @e[type=new:shield] ^^^0.025`)
						p.runCommandAsync(`tp @e[type=new:shield2] ^^^0.025`)
						p.runCommandAsync(`tp @e[type=new:shield3] ^^^0.025`)
					}
				}
				if(!lore[0].includes("Knockback") || !p.isSneaking){
					p.runCommandAsync(`event entity @e[type=new:shield] new:despawn`)
					p.runCommandAsync(`event entity @e[type=new:shield2] new:despawn`)
					p.runCommandAsync(`event entity @e[type=new:shield3] new:despawn`)
					p.removeTag("shield")
				}
				if(lore[0].includes("Shared Damage") && p.isSneaking){
					if(!p.hasTag("shared_damage") && lore[0].includes("Shared Damage I ")){
						p.runCommandAsync(`summon new:shared_damage ^^^0.025`)
						p.addTag("shared_damage")
					}
					if(!p.hasTag("shared_damage") && lore[0].includes("Shared Damage II ")){
						p.runCommandAsync(`summon new:shared_damage2 ^^^0.025`)
						p.addTag("shared_damage")
					}
					if(!p.hasTag("shared_damage") && lore[0].includes("Shared Damage III")){
						p.runCommandAsync(`summon new:shared_damage3 ^^^0.025`)
						p.addTag("shared_damage")
					}
					if(p.hasTag("shared_damage") && lore[0].includes("Shared Damage")){
						p.runCommandAsync(`tp @e[type=new:shared_damage] ^^^0.025`)
						p.runCommandAsync(`tp @e[type=new:shared_damage2] ^^^0.025`)
						p.runCommandAsync(`tp @e[type=new:shared_damage3] ^^^0.025`)
					}
				}
				if(!lore[0].includes("Shared Damage") || !p.isSneaking){
					p.runCommandAsync(`event entity @e[type=new:shared_damage] new:despawn`)
					p.runCommandAsync(`event entity @e[type=new:shared_damage2] new:despawn`)
					p.runCommandAsync(`event entity @e[type=new:shared_damage3] new:despawn`)
					p.removeTag("shared_damage")
				}
			}
			if(head){
				let lore = head.getLore()
				if (lore[0].includes("Night Eyes I ")){
					p.runCommandAsync(`effect @s night_vision 1 0 true`)
				}
				if (lore[0].includes("Night Eyes II ")){
					p.runCommandAsync(`effect @s night_vision 1 1 true`)
				}
				if (lore[0].includes("Night Eyes III")){
					p.runCommandAsync(`effect @s night_vision 1 2 true`)
				}
			}
			if(feet){
				let lore = feet.getLore()
				if (lore[0].includes("Agility I ")){
					p.runCommandAsync(`effect @s speed 1 0 true`)
				}
				if (lore[0].includes("Agility II ")){
					p.runCommandAsync(`effect @s speed 1 1 true`)
				}
				if (lore[0].includes("Agility III")){
					p.runCommandAsync(`effect @s speed 1 2 true`)
				}
				if (lore[0].includes("Jump I ")){
					p.runCommandAsync(`effect @s jump_boost 1 1 true`)
				}
				if (lore[0].includes("Jump II ")){
					p.runCommandAsync(`effect @s jump_boost 1 2 true`)
				}
				if (lore[0].includes("Jump III")){
					p.runCommandAsync(`effect @s jump_boost 1 3 true`)
				}
			}
			if(chest){
				let lore = chest.getLore()
				if (lore[0].includes("Health I ")){
					p.runCommandAsync(`effect @s health_boost 1 0`)
				}
				if (lore[0].includes("Health II ")){
					p.runCommandAsync(`effect @s health_boost 1 1`)
				}
				if (lore[0].includes("Health III")){
					p.runCommandAsync(`effect @s health_boost 1 2`)
				}
				if(lore[0].includes("Impulse I ") && p.isSneaking && !p.isOnGround && time == 0){
					p.runCommandAsync("summon new:elytra ^^^-0.5")
					p.addTag("elytra")
				}
				if(lore[0].includes("Impulse II ") && p.isSneaking && !p.isOnGround && time == 0){
					p.runCommandAsync("summon new:elytra2 ^^^-0.5")
					p.addTag("elytra")
				}
				if(lore[0].includes("Impulse III ") && p.isSneaking && !p.isOnGround && time == 0){
					p.runCommandAsync("summon new:elytra3 ^^^-0.5")
					p.addTag("elytra")
				}
				if(p.hasTag("elytra")){
					p.runCommandAsync("tp @e[family=elytra] ^^^-0.5")
					time++
				}
				if(time == 20){
					p.removeTag("elytra")
					time = 0
				}
			}

			let offhand = playerEquipment?.getEquipment(EquipmentSlot.Offhand).getLore()[0];
			if(offhand){
				if(offhand.includes("Knockback") && p.isSneaking){
					if(!p.hasTag("shield") && offhand.includes("Knockback I ")){
						p.runCommandAsync(`summon new:shield ^^^0.025`)
						p.addTag("shield")
					}
					if(!p.hasTag("shield") && offhand.includes("Knockback II ")){
						p.runCommandAsync(`summon new:shield2 ^^^0.025`)
						p.addTag("shield")
					}
					if(!p.hasTag("shield") && offhand.includes("Knockback III")){
						p.runCommandAsync(`summon new:shield3 ^^^0.025`)
						p.addTag("shield")
					}
					if(p.hasTag("shield") && offhand.includes("Knockback")){
						p.runCommandAsync(`tp @e[type=new:shield] ^^^0.025`)
						p.runCommandAsync(`tp @e[type=new:shield2] ^^^0.025`)
						p.runCommandAsync(`tp @e[type=new:shield3] ^^^0.025`)
					}
				}
				if(!offhand.includes("Knockback") || !p.isSneaking){
					p.runCommandAsync(`event entity @e[type=new:shield] new:despawn`)
					p.runCommandAsync(`event entity @e[type=new:shield2] new:despawn`)
					p.runCommandAsync(`event entity @e[type=new:shield3] new:despawn`)
					p.removeTag("shield")
				}
				if(offhand.includes("Shared Damage") && p.isSneaking){
					if(!p.hasTag("shared_damage") && offhand.includes("Shared Damage I ")){
						p.runCommandAsync(`summon new:shared_damage ^^^0.025`)
						p.addTag("shared_damage")
					}
					if(!p.hasTag("shared_damage") && offhand.includes("Shared Damage II ")){
						p.runCommandAsync(`summon new:shared_damage2 ^^^0.025`)
						p.addTag("shared_damage")
					}
					if(!p.hasTag("shared_damage") && offhand.includes("Shared Damage III")){
						p.runCommandAsync(`summon new:shared_damage3 ^^^0.025`)
						p.addTag("shared_damage")
					}
					if(p.hasTag("shared_damage") && offhand.includes("Shared Damage")){
						p.runCommandAsync(`tp @e[type=new:shared_damage] ^^^0.025`)
						p.runCommandAsync(`tp @e[type=new:shared_damage2] ^^^0.025`)
						p.runCommandAsync(`tp @e[type=new:shared_damage3] ^^^0.025`)
					}
				}
				if(!offhand.includes("Shared Damage") || !p.isSneaking){
					p.runCommandAsync(`event entity @e[type=new:shared_damage] new:despawn`)
					p.runCommandAsync(`event entity @e[type=new:shared_damage2] new:despawn`)
					p.runCommandAsync(`event entity @e[type=new:shared_damage3] new:despawn`)
					p.removeTag("shared_damage")
				}
			}
		}
	}
	catch(e){
	}

})

let hit = 0;

world.afterEvents.entityHurt.subscribe( hurt =>{
	try{
		let eHurt = hurt.hurtEntity;
		let damaging = hurt.damageSource.damagingEntity;
		if(eHurt.typeId == "minecraft:player"){
			let damagingEquipment = damaging.getComponent(EntityEquippableComponent.componentId);
			let eHurtEquipment = eHurt.getComponent(EntityEquippableComponent.componentId);
			let chest = eHurtEquipment.getEquipment(EquipmentSlot.Chest);
			if(chest){
				let loreCh = chest.getLore()
				if (loreCh[0].includes("Shared Damage I ")){
					damaging.runCommandAsync(`damage @s ${Math.round(hurt.damage) + 1}`)
				}
				if (loreCh[0].includes("Shared Damage II ")){
					damaging.runCommandAsync(`damage @s ${Math.round(hurt.damage) + 2}`)
				}
				if (loreCh[0].includes("Shared Damage III")){
					damaging.runCommandAsync(`damage @s ${Math.round(hurt.damage) + 3}`)
				}
			}	
		}
		else if(damaging.typeId == "minecraft:player"){
			let item = damaging.getComponent("inventory").container.getItem(damaging.selectedSlot);
			if(item){
				let lore = item.getLore()
				if(lore[0].includes("Area Attack I ")){
					eHurt.runCommandAsync("summon new:area_attack1")
				}
				if(lore[0].includes("Area Attack II ")){
					eHurt.runCommandAsync("summon new:area_attack2")
				}
				if(lore[0].includes("Area Attack III")){
					eHurt.runCommandAsync("summon new:area_attack3")
				}
				if (lore[0].includes("Poison I ")){
					eHurt.runCommandAsync(`effect @s poison 3 0`)
				}
				if (lore[0].includes("Poison II ")){
					eHurt.runCommandAsync(`effect @s poison 3 1`)
				}
				if (lore[0].includes("Poison III ")){
					eHurt.runCommandAsync(`effect @s poison 3 2`)
				}

				if (lore[0].includes("Levitating I ")){
					eHurt.runCommandAsync(`effect @s levitation 2 0`)
				}
				if (lore[0].includes("Levitating II ")){
					eHurt.runCommandAsync(`effect @s levitation 2 1`)
				}
				if (lore[0].includes("Levitating III")){
					eHurt.runCommandAsync(`effect @s levitation 2 2`)
				}

				if (lore[0].includes("Vampire I ")){
					damaging.runCommandAsync(`effect @s regeneration 2 0`)
				}
				if (lore[0].includes("Vampire II ")){
					damaging.runCommandAsync(`effect @s regeneration 2 1`)
				}
				if (lore[0].includes("Vampire III")){
					damaging.runCommandAsync(`effect @s regeneration 2 2`)
				}

				if (lore[0].includes("Wither I")){
					eHurt.runCommandAsync(`effect @s wither 2 0`)
				}
				if (lore[0].includes("Wither II ")){
					eHurt.runCommandAsync(`effect @s wither 2 1`)
				}
				if (lore[0].includes("Wither III")){
					eHurt.runCommandAsync(`effect @s wither 2 2`)
				}

				if (lore[0].includes("Ice Aspect I ")){
					eHurt.runCommandAsync(`effect @s slowness 2 0`)
				}
				if (lore[0].includes("Ice Aspect II ")){
					eHurt.runCommandAsync(`effect @s slowness 2 1`)
				}
				if (lore[0].includes("Ice Aspect III")){
					eHurt.runCommandAsync(`effect @s slowness 2 2`)
				}

				if (lore[0].includes("Weakness I ")){
					eHurt.runCommandAsync(`effect @s weakness 2 0`)
				}
				if (lore[0].includes("Weakness II")){
					eHurt.runCommandAsync(`effect @s weakness 2 1`)
				}
				if (lore[0].includes("Weakness III")){
					eHurt.runCommandAsync(`effect @s weakness 2 2`)
				}
			}
		}
	}
	catch(e){
	}
	
})

world.afterEvents.entityHitBlock.subscribe( v=>{
	try{
		let block = v.hitBlock;

		let p = v.damagingEntity;

		let id = block.typeId;

		let ore =[
			"iron_ore",
			"gold_ore",
			"copper_ore",
			"rodio_ore",
			"platino_ore",
			"ambar_ore",
			"uranium_ore"
			]

		if(!id.includes(ore)){
			p.removeTag("iron");
			p.removeTag("gold");
			p.removeTag("copper");
			p.removeTag("ambar");
			p.removeTag("uranium");
			p.removeTag("rodio");
			p.removeTag("platino")
		}
		if(id.includes("sand")){
			p.runCommandAsync(`tag @s add sand`)
		}
		if(id.includes("gravel")){
			p.runCommandAsync(`tag @s add gravel`)
		}
		if(id.includes("clay")){
			p.runCommandAsync(`tag @s add clay`)
		}

		if(id.includes("iron_ore")){
			p.runCommandAsync(`tag @s add iron`)
		}
		if(id.includes("gold_ore")){
			p.runCommandAsync(`tag @s add gold`)
		}
		if(id.includes("copper_ore")){
			p.runCommandAsync(`tag @s add copper`)
		}
		if(id.includes("platino_ore")){
			p.runCommandAsync(`tag @s add platino`)
		}
		if(id.includes("rodio_ore")){
			p.runCommandAsync(`tag @s add rodio`)
		}
		if(id.includes("ambar_ore")){
			p.runCommandAsync(`tag @s add ambar`)
		}
		if(id.includes("uranium_ore")){
			p.runCommandAsync(`tag @s add uranium`)
		}
	}catch(e){
		
	}
})

world.afterEvents.playerBreakBlock.subscribe( b=>{
	try{
		let p = b.player;
		let block = b.block;

		let location = [
			b.block.location.x,
			b.block.location.y,
			b.block.location.z
			];

		let item = p.getComponent("inventory").container.getItem(p.selectedSlot);
		if(item){
			let lore = item.getLore()
			if(item.typeId.includes("shovel")){
				if(lore[0].includes("Smelthing I") && p.hasTag("sand")){
					pickaxe = p.dimension.spawnEntity("new:sand", {
						x: location[0], 
						y: location[1],
						z: location[2]
					});
					pickaxe.runCommandAsync("function sand")
					p.runCommandAsync(`loot spawn ${location[0]} ${location[1]} ${location[2]} loot \"sand\"`);
					p.removeTag("sand");
					p.runCommandAsync(`playsound fire.ignite @s`)
				}
				if(lore[0].includes("Smelthing II") && p.hasTag("gravel")){
					pickaxe = p.dimension.spawnEntity("new:gravel", {
						x: location[0], 
						y: location[1],
						z: location[2]
					});
					pickaxe.runCommandAsync("function gravel")
					p.runCommandAsync(`loot spawn ${location[0]} ${location[1]} ${location[2]} loot \"gravel\"`);
					p.removeTag("gravel");
					p.runCommandAsync(`playsound fire.ignite @s`)
				}
				if(lore[0].includes("Smelthing III") && p.hasTag("clay")){
					pickaxe = p.dimension.spawnEntity("new:clay", {
						x: location[0], 
						y: location[1],
						z: location[2]
					});
					pickaxe.runCommandAsync("function clay")
					p.runCommandAsync(`loot spawn ${location[0]} ${location[1]} ${location[2]} loot \"clay\"`);
					p.removeTag("clay");

					p.runCommandAsync(`playsound fire.ignite @s`)
				}
			}

			if(item.typeId.includes("pickaxe")){
				if(lore[0].includes("Strip I")){
					p.runCommandAsync(`setblock ${location[0]} ${location[1]+1} ${location[2]} air [] destroy`);
				}
				if(lore[0].includes("Strip II")){
					p.runCommandAsync(`setblock ${location[0]} ${location[1]+2} ${location[2]} air [] destroy`);
				}
				if(lore[0].includes("Strip III")){
					p.runCommandAsync(`setblock ${location[0]} ${location[1]+3} ${location[2]} air [] destroy`);
				}
				if(lore[0].includes("Xp Collector I ")){
					p.runCommandAsync(`summon xp_orb ~~~`);
				}
				if(lore[0].includes("Xp Collector II ")){
					p.runCommandAsync(`summon xp_orb ~~~`);
					p.runCommandAsync(`summon xp_orb ~~~`);
				}
				if(lore[0].includes("Xp Collector III ")){
					p.runCommandAsync(`summon xp_orb ~~~`);
					p.runCommandAsync(`summon xp_orb ~~~`);
					p.runCommandAsync(`summon xp_orb ~~~`);
				}
				if(lore[0].includes("Smelthing I") && p.hasTag("copper")){
					pickaxe = p.dimension.spawnEntity("new:copper", {
						x: location[0], 
						y: location[1],
						z: location[2]
					});
					pickaxe.runCommandAsync("function copper")
					p.runCommandAsync(`loot spawn ${location[0]} ${location[1]} ${location[2]} loot \"copper_ingot\"`);
					p.removeTag("copper");
					p.runCommandAsync(`playsound fire.ignite @s`)
				}
				if(lore[0].includes("Smelthing II") && p.hasTag("iron")){
					pickaxe = p.dimension.spawnEntity("new:iron", {
						x: location[0], 
						y: location[1],
						z: location[2]
					});
					pickaxe.runCommandAsync("function iron")
					p.runCommandAsync(`loot spawn ${location[0]} ${location[1]} ${location[2]} loot \"iron_ingot\"`);
					p.removeTag("iron");
					p.runCommandAsync(`playsound fire.ignite @s`)
				}
				if(lore[0].includes("Smelthing III") && p.hasTag("gold")){
					pickaxe = p.dimension.spawnEntity("new:gold", {
						x: location[0], 
						y: location[1],
						z: location[2]
					});
					pickaxe.runCommandAsync("function gold")
					p.runCommandAsync(`loot spawn ${location[0]} ${location[1]} ${location[2]} loot \"gold_ingot\"`);
					p.removeTag("gold");
					p.runCommandAsync(`playsound fire.ignite @s`)
				}
			}

			if(item.typeId.includes("shovel") || item.typeId.includes("pickaxe") || item.typeId.includes("_axe")){
				if(lore[0].includes("Magnetic I ")){
					p.runCommandAsync(`execute positioned ${location[0]} ${location[1]} ${location[2]} run tp @e[type=item,r=1] @s`);
				}
				if(lore[0].includes("Magnetic II ")){
					p.runCommandAsync(`execute positioned ${location[0]} ${location[1]} ${location[2]} run tp @e[type=item,r=2] @s`);
				}
				if(lore[0].includes("Magnetic III")){
					p.runCommandAsync(`execute positioned ${location[0]} ${location[1]} ${location[2]} run tp @e[type=item,r=3] @s`);
				}
			}
			//axe
			if (lore[0].includes("Woodcutter")){
				axe = p.dimension.spawnEntity("new:axe", {
					x: location[0], 
					y: location[1],
					z: location[2]
				});
				if(lore[0].includes("I ")){		
					axe.runCommandAsync("function enchanted_axe/axe")
					axe.runCommandAsync("function enchanted_axe/axe2")
				}
				if(lore[0].includes("II ")){
					axe.runCommandAsync("function enchanted_axe/axe_4")
					axe.runCommandAsync("function enchanted_axe/axe2_4")
				}
				if(lore[0].includes("III ")){
					axe.runCommandAsync("function enchanted_axe/axe_5")
					axe.runCommandAsync("function enchanted_axe/axe2_5")
				}
			}
		}
	}
	catch(e){
	}
	
});



function enchantedLevel(enchanted_num){
	if (enchanted_num == "I "){
		return 1
	}
	else if (enchanted_num == "II "){
		return 2
	}
	else if (enchanted_num == "III "){
		return 3
	}
	else{
		return 1
	}
}

function enchant(p, item, levelid){
	try{
		let lore = ""
		let itemlore = item.getLore()[0]
		if (!itemlore){
			itemlore=""
		}
		if(item.typeId.includes("shield")){
			if (shieldEnchanted == 1 && !itemlore.includes("Knockback")){
				lore = "\n§5Knockback "+levelid+" "
				shieldEnchanted = 0;
			}else if (shieldEnchanted == 1 && itemlore.includes("Knockback")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				shieldEnchanted = 0;
			}
			if (shieldEnchanted == 2 && !itemlore.includes("Shared Damage")){
				lore = "\n§2Shared Damage "+levelid+" ";
				shieldEnchanted = 0;
			}else if (shieldEnchanted == 2 && itemlore.includes("Shared Damage")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				shieldEnchanted = 0;
			}
			if (shieldEnchanted == 3 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				shieldEnchanted = 0;			
			}else if (shieldEnchanted == 3 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				shieldEnchanted = 0;
			}
		}
		if(item.typeId.includes("sword")){
			if (sEnchanted == 1 && !itemlore.includes("Poison")){
				lore = "\n§2Poison "+levelid+" "
				sEnchanted = 0;
			}else if (sEnchanted == 1 && itemlore.includes("Poison")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				sEnchanted = 0;
			}
			if (sEnchanted == 2 && !itemlore.includes("Ice Aspect")){
				lore = "\n§3Ice Aspect "+levelid+" "
				sEnchanted = 0;
			}else if (sEnchanted == 2 && itemlore.includes("Ice Aspect")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				sEnchanted = 0;
			}
			if (sEnchanted == 3 && !itemlore.includes("Levitating")){
				lore = "\n§7Levitating "+levelid+" "
				sEnchanted = 0;
			}else if (sEnchanted == 3 && itemlore.includes("Levitating")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				sEnchanted = 0;
			}
			if (sEnchanted == 4 && !itemlore.includes("Vampire")){
				lore = "\n§4Vampire "+levelid+" "
				sEnchanted = 0;
			}else if (sEnchanted == 4 && itemlore.includes("Vampire")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				sEnchanted = 0;
			}
			if (sEnchanted == 5 && !itemlore.includes("Wither")){
				lore = "\n§8Wither "+levelid+" "
				sEnchanted = 0;
			}else if (sEnchanted == 5 && itemlore.includes("Wither")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				sEnchanted = 0;
			}
			if (sEnchanted == 6 && !itemlore.includes("Weakness")){
				lore = "\n§7Weakness "+levelid+" "
				sEnchanted = 0;
			}else if (sEnchanted == 6 && itemlore.includes("Weakness")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				sEnchanted = 0;
			}
			if (sEnchanted == 7 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				sEnchanted = 0;			
			}else if (sEnchanted == 7 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				sEnchanted = 0;
			}
			if (sEnchanted == 8 && !itemlore.includes("Area Attack")){
				lore = "\n§5Area Attack "+levelid+" "
				sEnchanted = 0;
			}else if (sEnchanted == 8 && itemlore.includes("Area Attack")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				sEnchanted = 0;
			}
		}
		if(item.typeId.includes("_axe")){
			if (aEnchanted == 1 && !itemlore.includes("Woodcutter")){
				lore = "\n§bWoodcutter "+levelid+" ";
				aEnchanted = 0;
			}else if (aEnchanted == 1 && itemlore.includes("Woodcutter")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				aEnchanted = 0;
			}
			if (aEnchanted == 2 && !itemlore.includes("Haste")){
				lore = "\n§3Haste "+levelid+" ";
				aEnchanted = 0;
			}else if (aEnchanted == 2 && itemlore.includes("Haste")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				aEnchanted = 0;
			}
			if (aEnchanted == 3 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				aEnchanted = 0;			
			}else if (aEnchanted == 3 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				aEnchanted = 0;
			}
			if (aEnchanted == 4 && !itemlore.includes("Magnetic")){
				lore = "\n§aMagnetic "+levelid+" ";
				aEnchanted = 0;			
			}else if (aEnchanted == 4 && itemlore.includes("Magnetic")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				aEnchanted = 0;
			}
		}
		if(item.typeId.includes("pickaxe")){
			if (pEnchanted == 2 && !itemlore.includes("Smelthing")){
				lore = "\n§6Smelthing "+levelid+" ";
				pEnchanted = 0;
			}else if (pEnchanted == 2 && itemlore.includes("Smelthing")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				pEnchanted = 0;
			}
			if (pEnchanted == 1 && !itemlore.includes("Haste")){
				lore = "\n§3Haste "+levelid+" ";
				pEnchanted = 0;			
			}else if (pEnchanted == 1 && itemlore.includes("Haste")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				pEnchanted = 0;
			}
			if (pEnchanted == 3 && !itemlore.includes("Xp Collector")){
				lore = "\n§2Xp Collector "+levelid+" ";
				pEnchanted = 0;			
			}else if (pEnchanted == 3 && itemlore.includes("Xp Collector")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				pEnchanted = 0;
			}
			if (pEnchanted == 4 && !itemlore.includes("Strip")){
				lore = "\n§5Strip "+levelid+" ";
				pEnchanted = 0;			
			}else if (pEnchanted == 4 && itemlore.includes("Strip")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				pEnchanted = 0;
			}
			if (pEnchanted == 5 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				pEnchanted = 0;			
			}else if (pEnchanted == 5 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				pEnchanted = 0;
			}
			if (pEnchanted == 6 && !itemlore.includes("Magnetic")){
				lore = "\n§aMagnetic "+levelid+" ";
				pEnchanted = 0;			
			}else if (pEnchanted == 6 && itemlore.includes("Magnetic")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				pEnchanted = 0;
			}

		}
		if(item.typeId.includes("shovel")){
			if (shEnchanted == 2 && !itemlore.includes("Smelthing")){
				lore = "\n§6Smelthing "+levelid+" ";
				shEnchanted = 0;
			}else if (shEnchanted == 2 && itemlore.includes("Smelthing")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				shEnchanted = 0;
			}
			if (shEnchanted == 1 && !itemlore.includes("Haste")){
				lore = "\n§3Haste "+levelid+" ";
				shEnchanted = 0;			
			}else if (pEnchanted == 1 && itemlore.includes("Haste")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				pEnchanted = 0;
			}
			if (shEnchanted == 3 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				shEnchanted = 0;			
			}else if (shEnchanted == 3 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				shEnchanted = 0;
			}
			if (shEnchanted == 4 && !itemlore.includes("Magnetic")){
				lore = "\n§aMagnetic "+levelid+" ";
				shEnchanted = 0;			
			}else if (shEnchanted == 4 && itemlore.includes("Magnetic")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				shEnchanted = 0;
			}
		}
		if(item.typeId.includes("hoe")){
			if (hEnchanted == 1 && !itemlore.includes("Furrowing")){
				lore = "\n§3Furrowing "+levelid+" ";
				hEnchanted = 0;
			}else if (hEnchanted == 1 && itemlore.includes("Furrowing")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				hEnchanted = 0;
			}
			if (hEnchanted == 2 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				hEnchanted = 0;			
			}else if (hEnchanted == 2 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				hEnchanted = 0;
			}
		}
		if(item.typeId.includes("helmet")){
			if (hmEnchanted == 1 && !itemlore.includes("Night Eyes")){
				lore = "\n§5Night Eyes "+levelid+" ";
				hmEnchanted = 0;
			}else if (hmEnchanted == 1 && itemlore.includes("Night Eyes")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				hmEnchanted = 0;
			}
			if (hmEnchanted == 2 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				hmEnchanted = 0;			
			}else if (hmEnchanted == 2 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				hmEnchanted = 0;
			}
		}

		if(item.typeId.includes("chestplate")){
			if (chEnchanted == 1 && !itemlore.includes("Shared Damage")){
				lore = "\n§2Shared Damage "+levelid+" ";
				chEnchanted = 0;
			}else if (chEnchanted == 1 && itemlore.includes("Shared Damage")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				chEnchanted = 0;
			}
			if (chEnchanted == 2 && !itemlore.includes("Health")){
				lore = "\n§4Health "+levelid+" ";
				chEnchanted = 0;
			}else if (chEnchanted == 2 && itemlore.includes("Health")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				chEnchanted = 0;
			}
			if (chEnchanted == 3 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				chEnchanted = 0;			
			}else if (chEnchanted == 3 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				chEnchanted = 0;
			}
		}


		if(item.typeId.includes("elytra")){
			if (elEnchanted == 1 && !itemlore.includes("Shared Damage")){
				lore = "\n§2Shared Damage "+levelid+" ";
				elEnchanted = 0;
			}else if (elEnchanted == 1 && itemlore.includes("Shared Damage")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				elEnchanted = 0;
			}
			if (elEnchanted == 2 && !itemlore.includes("Health")){
				lore = "\n§4Health "+levelid+" ";
				elEnchanted = 0;
			}else if (elEnchanted == 2 && itemlore.includes("Health")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				elEnchanted = 0;
			}
			if (elEnchanted == 3 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				elEnchanted = 0;			
			}else if (elEnchanted == 3 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				elEnchanted = 0;
			}
			if (elEnchanted == 4 && !itemlore.includes("Impulse")){
				lore = "\n§bImpulse "+levelid+" ";
				elEnchanted = 0;
			}else if (elEnchanted == 4 && itemlore.includes("Impulse")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				elEnchanted = 0;
			}
		}

		if(item.typeId.includes("leggings")){
			if (lgEnchanted == 1 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				lgEnchanted = 0;			
			}else if (lgEnchanted == 1 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				lgEnchanted = 0;
			}
		}

		if(item.typeId.includes("boots")){
			if (btEnchanted == 1 && !itemlore.includes("Agility")){
				lore = "\n§bAgility "+levelid+" ";
				btEnchanted = 0;
			}else if (btEnchanted == 1 && itemlore.includes("Agility")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				btEnchanted = 0;
			}
			if (btEnchanted == 3 && !itemlore.includes("Jump")){
				lore = "\n§6Jump "+levelid+" ";
				btEnchanted = 0;
			}else if (btEnchanted == 3 && itemlore.includes("Jump")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				btEnchanted = 0;
			}
			if (btEnchanted == 2 && !itemlore.includes("Eternal")){
				lore = "\n§dEternal "+levelid+" ";
				item.keepOnDeath = true
				p.runCommandAsync(`xp -20l @s`)
				btEnchanted = 0;			
			}else if (btEnchanted == 2 && itemlore.includes("Eternal")) {
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.repit"}]}`)
				btEnchanted = 0;
			}
		}

		if (lore != ""){
			item.setLore([itemlore + lore])
			p.getComponent("inventory").container.setItem(p.selectedSlot,item)
			p.runCommandAsync("playsound random.levelup @s")
			if(levelid == "I "){
				p.runCommandAsync(`xp -10l @s`)
			}
			if(levelid == "II "){
				p.runCommandAsync(`xp -20l @s`)
			}
			if(levelid == "III "){
				p.runCommandAsync(`xp -30l @s`)
			}
		}
	}catch(e){
		
	}
}

function SelectTools(p){
	try{
		const select = new ActionFormData()
		.title("§d§lAdvanced Enchantment Table")
		.button("§6§lTools",`textures/enchanted/tools`)
		.button("§c§lArmors",`textures/enchanted/armors`)
		.button("§d§lShield",`textures/enchanted/shield`)
		.button("§8§lElytra",`textures/items/elytra`)
		select.show(p).then(response => {
			p.removeTag("interact")
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if(item){
				if (!response.isCanceled && response.selection == 0) {
					if (item.typeId.includes("sword") || item.typeId.includes("axe") || item.typeId.includes("hoe") || item.typeId.includes("shovel")){
						ToolsForm(p);
					}
				}
				if (!response.isCanceled && response.selection == 1) {
					if (item.typeId.includes("helmet") || item.typeId.includes("chestplate") || item.typeId.includes("leggings") || item.typeId.includes("boots")){
						ArmorsForm(p);
					}
				}
				if (!response.isCanceled && response.selection == 2) {
					if (item.typeId.includes("shield")){
						ShieldForm(p);
					}
				}
				if (!response.isCanceled && response.selection == 3) {
					if (item.typeId.includes("elytra")){
						ElytraForm(p);
					}
				}
			}else if(!item && response.selection >= 0){
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
			}
		})
	}catch(e){
		
	}
}

function ToolsForm(p) {
	try{
		const form = new ActionFormData()
		.title("§d§lAdvanced Enchantment Table")
		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§6§lSword",`textures/items/netherite_sword`)
		.button("§c§lAxe",`textures/items/diamond_axe`)
		.button("§8§lHoe",`textures/items/iron_hoe`)
		.button("§d§lPickaxe",`textures/items/stone_pickaxe`)
		.button("§e§lShovel",`textures/items/wood_shovel`)
		form.show(p).then(response => {
			p.removeTag("interact")
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if(item){
				if (!response.isCanceled && response.selection == 0) {
					SelectTools(p)
				}
				if (!response.isCanceled && response.selection == 1) {
					if (item.typeId.includes("sword")){
						SwordEnchants(p);
					}
					if (!item.typeId.includes("sword")){
						p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
					}
				}
				if (!response.isCanceled && response.selection == 2) {
					if (item.typeId.includes("_axe") || item.typeId.includes("battleaxe")){
						AxeEnchants(p);
					}
					if (!item.typeId.includes("_axe") && !item.typeId.includes("battleaxe")){
						p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
					}
				}
				if (!response.isCanceled && response.selection == 3) {
					if (item.typeId.includes("hoe")){
						HoeEnchants(p);
					}
					if (!item.typeId.includes("hoe")){
						p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
					}
				}
				if (!response.isCanceled && response.selection == 4) {
					if (item.typeId.includes("pickaxe")){
						PickaxeEnchants(p);
					}
					if (!item.typeId.includes("pickaxe")){
						p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
					}
				}
				if (!response.isCanceled && response.selection == 5) {
					if (item.typeId.includes("shovel")){
						ShovelEnchants(p);
					}
					if (!item.typeId.includes("shovel")){
						p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
					}
				}
			}
			else if(!item && response.selection >= 0){
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
			}
		})
	}catch(e){
		
	}
}

function ArmorsForm(p) {
	try{
		const form2 = new ActionFormData()
		.title("§d§lAdvanced Enchantment Table")
		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§b§lHelmet",`textures/items/netherite_helmet`)
		.button("§d§lChestplate",`textures/items/diamond_chestplate`)
		.button("§a§lLeggings",`textures/items/iron_leggings`)
		.button("§8§lBoots",`textures/items/chainmail_boots`)
		form2.show(p).then(response => {
			p.removeTag("interact")
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if(item){
				if (!response.isCanceled && response.selection == 0) {
					SelectTools(p)
				}
				if (!response.isCanceled && response.selection == 1) {
					if (item.typeId.includes("helmet")){
						HelmetEnchants(p);
					}
					if (!item.typeId.includes("helmet")){
						p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
					}
				}
				if (!response.isCanceled && response.selection == 2) {
					if (item.typeId.includes("chestplate")){
						ChestEnchants(p);
					}
					if (!item.typeId.includes("chestplate")){
						p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
					}
				}
				if (!response.isCanceled && response.selection == 3) {
					if (item.typeId.includes("leggings")){
						LegsEnchants(p);
					}
					if (!item.typeId.includes("leggings")){
						p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
					}
				}
				if (!response.isCanceled && response.selection == 4) {
					if (item.typeId.includes("boots")){
						BootsEnchants(p);
					}
					if (!item.typeId.includes("boots")){
						p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
					}
				}
			}
			else if(!item && response.selection >= 0){
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.cancel"}]}`)
			}
		})
	}catch(e){
		
	}
}

let levelid = 0;

function Level1Enchanted(p){
	try{
		const levelEnchanted = new ActionFormData()
		.title("§5§lAdvanced Enchantment Table")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§2Enchant\n20 Levels",`textures/enchanted/book`)
		levelEnchanted.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (response.selection == 1 && p.level >= 20) {	
				levelid = " "
				enchant(p,item,levelid)
			}
			if (!response.isCanceled && response.selection == 0) {
				SelectTools(p)
			}

			if(!response.isCanceled && response.selection == 1 && p.level < 20){
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.no_xp"}]}`)
			}
		})
	}catch(e){
		
	}
}

function LevelEnchanted(p){
	try{
		const levelEnchanted = new ActionFormData()
		.title("§5§lAdvanced Enchantment Table")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§2Enchant I\n10 Levels",`textures/enchanted/book`)
		.button("§l§3Enchant II\n20 Levels",`textures/enchanted/book`)
		.button("§l§5Enchant III\n30 Levels",`textures/enchanted/book`)
		levelEnchanted.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (response.selection == 1 && p.level >= 10) {	
				levelid = "I "
				enchant(p,item,levelid)
			}
			if (response.selection == 2 && p.level >= 20) {
				levelid = "II "
				enchant(p,item,levelid)
			}
			if (response.selection == 3 && p.level >= 30) {
				levelid = "III "
				enchant(p,item,levelid)
			}
			if (!response.isCanceled && response.selection == 0) {
				SelectTools(p)
			}

			if(!response.isCanceled && response.selection == 1 && p.level < 10){
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.no_xp"}]}`)
			}
			if(!response.isCanceled && response.selection == 2 && p.level < 20){
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.no_xp"}]}`)
			}
			if(!response.isCanceled && response.selection == 3 && p.level < 30){
				p.runCommandAsync(`tellraw @s {"rawtext":[{"translate":"action.enchantment.no_xp"}]}`)
			}
		})
	}catch(e){
		
	}
}

let sEnchanted = 0;
let pEnchanted = 0;
let aEnchanted = 0;
let shEnchanted = 0;
let hmEnchanted = 0;
let hEnchanted = 0;
let btEnchanted = 0;
let chEnchanted = 0;
let lgEnchanted = 0;
let shieldEnchanted = 0;
let elEnchanted = 0;


function HelmetEnchants(p){
	try{
		const helmet = new ActionFormData()
		.title("§5§lSword Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§2Night Eyes",`textures/enchanted/night_eyes`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		helmet.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ArmorsForm(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("helmet")){
					hmEnchanted = 1;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("helmet")){
					hmEnchanted = 2;
					Level1Enchanted(p);
				}
			}
		})
	}catch(e){
		
	}
}


function ChestEnchants(p){
	try{
		const chestplate = new ActionFormData()
		.title("§5§lSword Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§2Shared Damage",`textures/enchanted/shared_damage`)
		.button("§l§4Health",`textures/enchanted/health`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		chestplate.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ArmorsForm(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("chestplate")){
					chEnchanted = 1;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("chestplate")){
					chEnchanted = 2;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 3) {
				if (item.typeId.includes("chestplate")){
					chEnchanted = 3;
					Level1Enchanted(p);
				}
			}
		})
	}catch(e){
		
	}
}

function ElytraForm(p){
	try{
		const elytra = new ActionFormData()
		.title("§5§lSword Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§2Shared Damage",`textures/enchanted/shared_damage`)
		.button("§l§4Health",`textures/enchanted/health`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		.button("§l§bImpulse",`textures/items/elytra`)
		elytra.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ArmorsForm(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("elytra")){
					elEnchanted = 1;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("elytra")){
					elEnchanted = 2;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 3) {
				if (item.typeId.includes("elytra")){
					elEnchanted = 3;
					Level1Enchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 4) {
				if (item.typeId.includes("elytra")){
					elEnchanted = 4;
					LevelEnchanted(p);
				}
			}
		})
	}catch(e){
		
	}
}


function ShieldForm(p){
	try{
		const shield = new ActionFormData()
		.title("§5§lSword Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§5Knockback",`textures/enchanted/shield`)
		.button("§l§2Shared Damage",`textures/enchanted/shared_damage`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		shield.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				SelectTools(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("shield")){
					shieldEnchanted = 1;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("shield")){
					shieldEnchanted = 2;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 3) {
				if (item.typeId.includes("shield")){
					shieldEnchanted = 3;
					Level1Enchanted(p);
				}
			}
		})
	}catch(e){
		
	}
}


function LegsEnchants(p){
	try{
		const leggings = new ActionFormData()
		.title("§5§lSword Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		leggings.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ArmorsForm(p)
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("leggings")){
					lgEnchanted = 1;
					Level1Enchanted(p);
				}
			}
		})
	}catch(e){
		
	}
}


function BootsEnchants(p){
	try{
		const boots = new ActionFormData()
		.title("§5§lSword Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§bAgility",`textures/enchanted/agility`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		.button("§l§6Jump",`textures/enchanted/doble_jump`)
		boots.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ArmorsForm(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("boots")){
					btEnchanted = 1;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("boots")){
					btEnchanted = 2;
					Level1Enchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 3) {
				if (item.typeId.includes("boots")){
					btEnchanted = 3;
					LevelEnchanted(p);
				}
			}
		})
	}catch(e){
		
	}
}


function SwordEnchants(p){
	try{
		const sword = new ActionFormData()
		.title("§5§lSword Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§2Poison",`textures/enchanted/poison`)
		.button("§l§3Ice Aspect",`textures/enchanted/snowflake`)
		.button("§l§fLevitating",`textures/enchanted/levitacion`)
		.button("§l§4Vampire",`textures/enchanted/vampire`)
		.button("§l§0Wither",`textures/enchanted/wither`)
		.button("§l§8Weakness",`textures/enchanted/weakness`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		.button("§l§5Area Attack",`textures/items/netherite_sword`)
		sword.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ToolsForm(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("sword")){
					sEnchanted = 1;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("sword")){
					sEnchanted = 2;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 3) {
				if (item.typeId.includes("sword")){
					sEnchanted = 3;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 4) {
				if (item.typeId.includes("sword")){
					sEnchanted = 4;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 5) {
				if (item.typeId.includes("sword")){
					sEnchanted = 5;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 6) {
				if (item.typeId.includes("sword")){
					sEnchanted = 6;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 7) {
				if (item.typeId.includes("sword")){
					sEnchanted = 7;
					Level1Enchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 8) {
				if (item.typeId.includes("sword")){
					sEnchanted = 8;
					LevelEnchanted(p);
				}
			}
		})
	}catch(e){
		
	}
}

function AxeEnchants(p){
	try{
		const axe = new ActionFormData()
		.title("§5§lAxe/Battleaxe Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§9Wood Cutter",`textures/items/diamond_axe`)
		.button("§l§6Haste",`textures/enchanted/haste`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		.button("§l§aMagnetic",`textures/enchanted/magnet`)
		axe.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ToolsForm(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("axe")){
					aEnchanted = 1;
					LevelEnchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("axe")){
					aEnchanted = 2;
					LevelEnchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 3) {
				if (item.typeId.includes("axe")){
					aEnchanted = 3;
					Level1Enchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 4) {
				if (item.typeId.includes("axe")){
					aEnchanted = 4;
					LevelEnchanted(p);

				}
			}
		})
	}catch(e){
		
	}
}

function PickaxeEnchants(p){
	try{
		const pickaxe = new ActionFormData()
		.title("§5§lPickaxe Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§3Haste",`textures/enchanted/haste`)
		.button("§l§6Smelthing",`textures/items/diamond_pickaxe`)
		.button("§l§2Xp Collector",`textures/enchanted/xp_orb`)
		.button("§l§5Strip",`textures/items/netherite_pickaxe`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		.button("§l§aMagnetic",`textures/enchanted/magnet`)
		pickaxe.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ToolsForm(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("pickaxe")){
					pEnchanted = 1;
					LevelEnchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("pickaxe")){
					pEnchanted = 2;
					LevelEnchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 3) {
				if (item.typeId.includes("pickaxe")){
					pEnchanted = 3;
					LevelEnchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 4) {
				if (item.typeId.includes("pickaxe")){
					pEnchanted = 4;
					LevelEnchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 5) {
				if (item.typeId.includes("pickaxe")){
					pEnchanted = 5;
					Level1Enchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 6) {
				if (item.typeId.includes("pickaxe")){
					pEnchanted = 6;
					LevelEnchanted(p);

				}
			}
		})
	}catch(e){
		
	}
}

function HoeEnchants(p){
	try{
		const hoe = new ActionFormData()
		.title("§5§lHoe Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§bFurrowing",`textures/items/diamond_hoe`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		hoe.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ToolsForm(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("hoe")){
					hEnchanted = 1;
					LevelEnchanted(p);
				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("hoe")){
					hEnchanted = 2;
					Level1Enchanted(p);

				}
			}
		})
	}catch(e){
		
	}
}

function ShovelEnchants(p){
	try{
		const shovel = new ActionFormData()
		.title("§5§lShovel Enchantment")

		.button("§l§cReturn",`textures/enchanted/arrow_large`)
		.button("§l§3Haste",`textures/enchanted/haste`)
		.button("§l§6Smelthing",`textures/items/diamond_shovel`)
		.button("§l§dEternal",`textures/enchanted/eternal`)
		.button("§l§aMagnetic",`textures/enchanted/magnet`)
		shovel.show(p).then(response => {
			let item = p.getComponent("inventory").container.getItem(p.selectedSlot)
			if (!response.isCanceled && response.selection == 0) {
				ToolsForm(p)
			}
			if (!response.isCanceled && response.selection == 1) {
				if (item.typeId.includes("shovel")){
					shEnchanted = 1;
					LevelEnchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 2) {
				if (item.typeId.includes("shovel")){
					shEnchanted = 2;
					LevelEnchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 3) {
				if (item.typeId.includes("shovel")){
					shEnchanted = 3;
					Level1Enchanted(p);

				}
			}
			if (!response.isCanceled && response.selection == 4) {
				if (item.typeId.includes("shovel")){
					shEnchanted = 4;
					LevelEnchanted(p);

				}
			}
		})
	}catch(e){
		
	}	
}